mediaobjectco
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# mediaobjectco

mediaobjectco — A media object that contains callouts

## Synopsis

### Content Model

    mediaobjectco ::=
    (objectinfo?,imageobjectco,
     (imageobjectco|textobject)*)

### Attributes

Common attributes

## Description

A `MediaObjectCO` is a wrapper around a set of alternative, annotated media objects.

### Processing expectations

Formatted as a displayed block.

See also `MediaObject`.

### Parents

These elements contain mediaobjectco: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caution`, `chapter`, `constraintdef`, `example`, `figure`, `footnote`, `glossary`, `glossdef`, `glossdiv`, `important`, `index`, `indexdiv`, `informalexample`, `informalfigure`, `itemizedlist`, `listitem`, `msgexplan`, `msgtext`, `note`, `orderedlist`, `para`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `screenshot`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `tip`, `variablelist`, `warning`.

### Children

The following elements occur in mediaobjectco: `imageobjectco`, `objectinfo`, `textobject`.

## See Also

`areaspec`, `calloutlist`, `co`, `coref`, `graphicco`, `imageobjectco`, `programlistingco`, `screenco`.

## Examples

    <!DOCTYPE mediaobjectco PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <mediaobjectco>
    <imageobjectco>
    <areaspec units="calspair">
      <areaset id="oneway" coords="">
        <area id="oneway1" coords="300 400"/>
        <area id="oneway2" coords="325 340"/>
      </areaset>
      <area id="myhouse" coords="425 590"/>
    </areaspec>
    <imageobject>
    <imagedata fileref="http://somemap.site.com/EARTH?USA?MA?01007"/>
    </imageobject>
    </imageobjectco>
    </mediaobjectco>

Prev | Home | Next
mediaobject | Up | member

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.